Bug 1004018 - confused finding drive
confused finding drive
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 13:38 EDT by Vince Herried
Modified: 2015-06-29 08:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:19:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vince Herried 2013-09-03 13:38:58 EDT
Description of problem:
Smartmond cant find the drive for reports.

Version-Release number of selected component (if applicable):
smartmontools-6.1-1.fc18.i686


How reproducible:
not sure, some days the report is ok, others it is not.

Steps to Reproduce:

1. setup /etc/smartmontools/smart.conf
2.  remove devicescan
3. define all drives: 
/dev/sda  -a -I 194 -W 4,45,55 -R 5 -m vince@planetvince.com
/dev/sdb  -a -I 194 -W 4,45,55 -R 5 -m vince@planetvince.com

4. relax and enjoy daily log reports.....

Actual results:


 /dev/sda [SAT] :
    Prefailure: Raw_Read_Error_Rate (1) changed to
      118,
    Usage: Airflow_Temperature_Cel (190) changed to
      66, 64, 61, 62,
    Usage: Hardware_ECC_Recovered (195) changed to
      53,

 /dev/sdb [SAT] :
    Prefailure: Raw_Read_Error_Rate (1) changed to
      111,
    Usage: Airflow_Temperature_Cel (190) changed to
      64, 63, 61, 62, 61,
    Usage: Hardware_ECC_Recovered (195) changed to
      60, 58,
 Temperature Changes
 ==================
 All devices: 25 - 39

 **Unmatched Entries**
 Device: /dev/sdb [SAT], ST9320423AS, S/N:5VJEM2FZ, WWN:5-000c50-0446d054c, FW:0002SDM1, 320 GB


Expected results:
all but the last entry,  No unmatched entries !

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 09:33:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:21:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Vince Herried 2014-02-05 19:18:00 EST
problem exists on F19 and F20.
here is output from F20.
--------------------- Smartd Begin ------------------------


 /dev/sda [SAT] :

 /dev/sdb [SAT] :

 /dev/sda [SAT] :
    Prefailure: Raw_Read_Error_Rate (1) changed to
      115,
    Usage: Airflow_Temperature_Cel (190) changed to
      70, 69, 70,
    Usage: Hardware_ECC_Recovered (195) changed to
      32, 33, 32,

 /dev/sdb [SAT] :
    Usage: Airflow_Temperature_Cel (190) changed to
      68, 68, 67, 66, 67,
    Usage: Hardware_ECC_Recovered (195) changed to
      35, 34,
 Temperature Changes
 ==================
 All devices: 17 - 34

 **Unmatched Entries**
 smartd 6.2 2013-07-26 r3841 [i686-linux-3.12.9-301.fc20.i686+PAE] (local build)
 Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org
 Device: /dev/sda [SAT], ST31500341AS, S/N:9VS2J5FK, WWN:5-000c50-0158c3d07, FW:CC1H, 1.50 TB
 Device: /dev/sdb [SAT], ST31500341AS, S/N:9VS2HVNR, WWN:5-000c50-01585b733, FW:CC1H, 1.50 TB
 Device: /dev/sdc [SAT], OCZ-VERTEX2, S/N:f08a4000e, WWN:5-e83a97-f08a4000f, FW:1.37, 100 GB
 Device: /dev/sdc [SAT], no SMART Self-test Log, ignoring -l selftest (override with -T permissive)
 Device: /dev/sdc [SAT], no SMART Error Log, ignoring -l error (override with -T permissive)
 smartd 6.2 2013-07-26 r3841 [i686-linux-3.12.9-301.fc20.i686+PAE] (local build)
 Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org
 Device: /dev/sda [SAT], ST31500341AS, S/N:9VS2J5FK, WWN:5-000c50-0158c3d07, FW:CC1H, 1.50 TB
 Device: /dev/sdb [SAT], ST31500341AS, S/N:9VS2HVNR, WWN:5-000c50-01585b733, FW:CC1H, 1.50 TB
 Device: /dev/sdc [SAT], OCZ-VERTEX2, S/N:f08a4000e, WWN:5-e83a97-f08a4000f, FW:1.37, 100 GB
 Device: /dev/sdc [SAT], no SMART Self-test Log, ignoring -l selftest (override with -T permissive)
 Device: /dev/sdc [SAT], no SMART Error Log, ignoring -l error (override with -T permissive)
 smartd 6.2 2013-07-26 r3841 [i686-linux-3.12.9-301.fc20.i686+PAE] (local build)
 Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org
 Device: /dev/sda [SAT], ST31500341AS, S/N:9VS2J5FK, WWN:5-000c50-0158c3d07, FW:CC1H, 1.50 TB
 Device: /dev/sdb [SAT], ST31500341AS, S/N:9VS2HVNR, WWN:5-000c50-01585b733, FW:CC1H, 1.50 TB
 Device: /dev/sdc [SAT], OCZ-VERTEX2, S/N:f08a4000e, WWN:5-e83a97-f08a4000f, FW:1.37, 100 GB
 Device: /dev/sdc [SAT], no SMART Self-test Log, ignoring -l selftest (override with -T permissive)



here is relevant config entry:
#DEVICESCAN -H -m root -M exec /usr/libexec/smartmontools/smartdnotify -n standby,10,q

/dev/sda  -a -I 194 -W 4,45,55 -R 5 -m vince@planetvince.com
/dev/sdb  -a -I 194 -W 4,45,55 -R 5 -m vince@planetvince.com
/dev/sdc  -a -I 194 -W 4,45,55  -m vince@planetvince.com
Comment 4 Michal Hlavinka 2014-04-09 08:29:03 EDT
I just tried to reproduce this on one multi-disk machine, but everything works fine. Does the problem shows during start-up in logs or is it sent in emails only?

What version of smartmontools do you have installed on your Fedora 20 machine?
Comment 5 Vince Herried 2014-04-10 09:37:05 EDT
I haven't read the logs in some time.  I'll start again :)

Currently it is  at.
smartmontools-6.2-2.fc20.i686

----------
Vince
Comment 6 Vince Herried 2014-04-13 14:50:19 EDT
 
 --------------------- Smartd Begin ------------------------ 

 
 /dev/sda [SAT] :
 
 /dev/sdb [SAT] :
 
 /dev/sda [SAT] :
    Prefailure: Raw_Read_Error_Rate (1) changed to 
      116, 
    Usage: Airflow_Temperature_Cel (190) changed to 
      62, 63, 62, 63, 
    Usage: Hardware_ECC_Recovered (195) changed to 
      32, 31, 32, 
 
 /dev/sdb [SAT] :
    Usage: Airflow_Temperature_Cel (190) changed to 
      59, 60, 59, 60, 
    Usage: Hardware_ECC_Recovered (195) changed to 
      31, 
 Temperature Changes
 ==================
 All devices: 30 - 41
 
 **Unmatched Entries**
 smartd 6.2 2013-07-26 r3841 [i686-linux-3.13.9-200.fc20.i686+PAE] (local build)
 Copyright (C) 2002-13, Bruce Allen, Christian Franke, www.smartmontools.org
 Device: /dev/sda [SAT], ST31500341AS, S/N:9VS2J5FK, WWN:5-000c50-0158c3d07, FW:CC1H, 1.50 TB
 Device: /dev/sdb [SAT], ST31500341AS, S/N:9VS2HVNR, WWN:5-000c50-01585b733, FW:CC1H, 1.50 TB
 Device: /dev/sdc [SAT], OCZ-VERTEX2, S/N:f08a4000e, WWN:5-e83a97-f08a4000f, FW:1.37, 100 GB
 Device: /dev/sdc [SAT], no SMART Self-test Log, ignoring -l selftest (override with -T permissive)
 Device: /dev/sdc [SAT], no SMART Error Log, ignoring -l error (override with -T permissive)
 
 ---------------------- Smartd End -------------------------
Then the next day, it reported correctly.
smartmontools-6.2-2.fc20.i686
wonder if the reporting is confused when there is an update to the kernel?
Comment 7 Fedora End Of Life 2015-05-29 05:21:43 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:19:40 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.